Subject: RE: bug#19932: 25.0.50; doc string of `elisp--eval-last-sexp'

From: Drew Adams <[email-masked]>
Date: Tue, 24 Feb 2015 13:26:23 -0800 (PST)

> > .. should not mention the prefix arg.  This is not a command, and the
> > function code does not access `current-prefix-arg'.
> 
> Maybe it should just be undocumented. It's a private function, and it
> duplicates the docstring of its only caller.

Maybe it should be documented properly.  Emacs is the self-documenting
editor.  Maybe developers should drop the bad habit of thinking of
documentation as only a chore and as only for others.

There is nothing "private" in Emacs Lisp - this is not Java or C++.
And even Emacs "internal" developers deserve to take advantage of
the self-documentation Emacs is intended to provide.

The duplication of its caller's docstring is the bug - it should
have its own documentation.